## suitesparse 7.12.1+dfsg

=== debian/changelog ===
suitesparse (1:7.12.1+dfsg-1) unstable; urgency=medium

  * New upstream version 7.12.1+dfsg
  * d/control: use proper team name in Maintainer field
  * d/copyright: reflect upstream changes
  * Update Lintian override for libsuitesparse-mongoose3
  * d/watch: convert to format version 5
  * ParU-doc-clean.patch: new patch

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 14 Dec 2025 11:36:43 +0100

=== debian/control ===
Source: suitesparse
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>
Section: math
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake
Build-Depends-Arch: pkgconf,
                    gfortran-for-host,
                    libblas-dev,
                    liblapack-dev,
                    libgmp-dev,
                    libmpfr-dev
Build-Depends-Indep: dh-sequence-python3,
                     texlive-latex-extra,
                     texlive-plain-generic,
                     texlive-bibtex-extra,
                     texlive-fonts-extra,
                     ghostscript,
                     python3-setuptools,
                     texlive-science,
                     texlive-xetex,
                     python3-pygments
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/science-team/suitesparse
Vcs-Git: https://salsa.debian.org/science-team/suitesparse.git
Homepage: http://suitesparse.com

Package: libamd3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: approximate minimum degree ordering library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The AMD library provides a set of routines for pre-ordering sparse matrices
 prior to Cholesky or LU factorization, using the "Approximate Minimum Degree
 ordering" algorithm.

Package: libbtf2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: permutation to block triangular form library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The BTF library is a software package for permuting a matrix into Block upper
 Triangular Form. It includes a maximum transversal algorithm, which finds a
 permutation of a square or rectangular matrix so that it has a zero-free
 diagonal (if one exists); otherwise, it finds a maximal matching which
 maximizes the number of nonzeros on the diagonal. The package also includes a
 method for finding the strongly connected components of a graph. These two
 methods together give the permutation to block upper triangular form.

Package: libcamd3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: symmetric approximate minimum degree library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The CAMD library provides a set of routines for pre-ordering sparse matrices
 prior to Cholesky or LU factorization, using the approximate minimum degree
 ordering algorithm with optional ordering constraints.

Package: libcolamd3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: column approximate minimum degree ordering library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The COLAMD library implements the "COLumn Approximate Minimum Degree ordering"
 algorithm. It computes a permutation vector P such that the LU factorization
 of A (:,P) tends to be sparser than that of A. The Cholesky factorization of
 (A (:,P))'*(A (:,P)) will also tend to be sparser than that of A'*A.

Package: libccolamd3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: constrained column approximate library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The CCOLAMD library implements the "Constrained COLumn Approximate Minimum
 Degree ordering" algorithm. It computes a permutation vector P such that the
 LU factorization of A (:,P) tends to be sparser than that of A. The Cholesky
 factorization of (A (:,P))'*(A (:,P)) will also tend to be sparser than that
 of A'*A.

Package: libcholmod5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: sparse Cholesky factorization library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The CHOLMOD library provides a set of routines for factorizing sparse
 symmetric positive definite matrices of the form A or AA', updating/downdating
 a sparse Cholesky factorization, solving linear systems, updating/downdating
 the solution to the triangular system Lx=b, and many other sparse matrix
 functions for both symmetric and unsymmetric matrices. Its supernodal Cholesky
 factorization relies on LAPACK and the Level-3 BLAS, and obtains a substantial
 fraction of the peak performance of the BLAS.

Package: libcxsparse4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: concise sparse matrix library
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The CXSparse library provides several matrix algorithms. The focus is on direct
 methods; iterative methods and solvers for eigenvalue problems are beyond the
 scope of this package.
 .
 The performance of the sparse factorization methods in CXSparse will not be
 competitive with UMFPACK or CHOLMOD, but the codes are much more concise and
 easy to understand. Other methods are competitive.

Package: libklu2
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: circuit simulation sparse LU factorization library
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The KLU library provides routines for LU factorization, primarily for circuit
 simulation.

Package: libldl3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: simple LDL' factorization library for sparse matrices
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The LDL library provides routines for sparse LDL' factorization and solving.
 These routines are not terrifically fast (they do not use dense matrix
 kernels), but the code is very short and concise. The purpose is to illustrate
 the algorithms in a very concise and readable manner, primarily for
 educational purposes.

Package: libumfpack6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: sparse LU factorization library
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The UMFPACK library provides a set of routines solving sparse linear systems
 via LU factorization.

Package: librbio4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: read/write sparse matrices in Rutherford/Boeing format
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 RBio is a library for reading/writing sparse matrices in the Rutherford/Boeing
 format.

Package: libspqr4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: sparse QR factorization library
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 SuiteSparseQR (SPQR) is a multithreaded, multifrontal, rank-revealing sparse
 QR factorization method.

Package: libsuitesparse-mongoose3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: graph partitioning tool that can quickly compute edge cuts (shared library)
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 Mongoose is a graph partitioning library that can quickly compute edge cuts in
 arbitrary graph. Given a graph with a vertex set and edge set, an edge cut is
 a partitioning of the graph into two subgraphs that are balanced (contain the
 same number of vertices) and the connectivity between the subgraphs is
 minimized (few edges are in the cut).
 .
 This package contains the shared C++ library.

Package: suitesparse-mongoose
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests: libsuitesparse-doc
Description: graph partitioning tool that can quickly compute edge cuts (executable)
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 Mongoose is a graph partitioning library that can quickly compute edge cuts in
 arbitrary graph. Given a graph with a vertex set and edge set, an edge cut is
 a partitioning of the graph into two subgraphs that are balanced (contain the
 same number of vertices) and the connectivity between the subgraphs is
 minimized (few edges are in the cut).
 .
 This package contains the standalone executable.

Package: mongoose
Architecture: all
Section: oldlibs
Depends: suitesparse-mongoose,
         ${misc:Depends}
Description: transitional dummy package for suitesparse-mongoose
 This package eases the transition from mongoose to suitesparse-mongoose.
 It can be safely removed.

Package: libspex3
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: solves sparse linear systems in exact arithmetic
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 SPEX Left LU is a software package designed to exactly solve unsymmetric sparse
 linear systems, Ax = b, where A, b and x contain rational numbers. This
 package performs a left-looking, roundoff-error-free (REF) LU factorization
 PAQ = LDU, where L and U are integer, D is diagonal, and P and Q are row and
 column permutations, respectively. Note that the matrix D is never explicitly
 computed nor needed; thus this package uses only the matrices L and U.
 .
 This package relies on GNU GMP and MPRF for exact arithmetic computations.

Package: libparu1
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: unsymmetric multifrontal multithreaded sparse LU factorization
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 ParU is an implementation of the multifrontal sparse LU factorization
 method.  Parallelism is exploited both in the BLAS and across different frontal
 matrices using OpenMP tasking, a shared-memory programming model for modern
 multicore architectures. The package is written in C++ and real sparse matrices
 are supported.

Package: libsuitesparseconfig7
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: configuration routines for all SuiteSparse modules
 Suitesparse is a collection of libraries for computations involving
 sparse matrices.
 .
 The SuiteSparse_config library provides configuration routines that are common
 to all SuiteSparse libraries.

Package: libsuitesparse-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends},
         libamd3 (= ${binary:Version}),
         libcamd3 (= ${binary:Version}),
         libbtf2 (= ${binary:Version}),
         libcolamd3 (= ${binary:Version}),
         libccolamd3 (= ${binary:Version}),
         libcholmod5 (= ${binary:Version}),

=== debian/watch ===
Version: 5

Template: GitHub
Owner: DrTimothyAldenDavis
Project: SuiteSparse
Dversion-Mangle: auto
Repacksuffix: +dfsg

## suitesparse 7.12.2+dfsg

=== GraphBLAS/rmm_wrap/CMakeLists.txt ===
#-------------------------------------------------------------------------------
# rmm_wrap/CMakeLists.txt: cmake script for building rmm_wrap
#-------------------------------------------------------------------------------

# SPDX-License-Identifier: Apache-2.0

#-------------------------------------------------------------------------------

cmake_minimum_required ( VERSION 3.20 ) # GraphBLAS can be built stand-alone

project ( rmm_wrap VERSION 0.1 )

# This build depends upon having RMM cmake installed from https://github.com/rapidsai/rmm.git

set ( CMAKE_CXX_STANDARD 17 )
set ( CMAKE_C_STANDARD 99 )
set ( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fPIC" )

find_package ( CUDAToolkit REQUIRED )
message ( STATUS "CUDA include dirs: ${CUDA_INCLUDE_DIRS} " )

set ( EXTERNAL_INCLUDES_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/external_includes )

if ( NOT EXISTS ${EXTERNAL_INCLUDES_DIRECTORY} )
    file ( MAKE_DIRECTORY ${EXTERNAL_INCLUDES_DIRECTORY} )
endif ( )

if ( NOT EXISTS ${EXTERNAL_INCLUDES_DIRECTORY}/spdlog )
    message ( STATUS "cloning spdlog v1.10.0" )
    execute_process (
        COMMAND git clone "https://github.com/gabime/spdlog" --branch v1.10.0 --recursive spdlog
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/external_includes )
endif ( )

set ( SPDLOG_INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/external_includes/spdlog/include )
include_directories ( ${SPDLOG_INCLUDE_DIR} )

if ( NOT EXISTS ${EXTERNAL_INCLUDES_DIRECTORY}/rmm )
    message ( STATUS "cloning rmm branch-21.10" )
    execute_process (
        COMMAND git clone "https://github.com/rapidsai/rmm" --branch branch-21.10 --recursive rmm
        WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/external_includes )
endif()

set ( RMM_INCLUDE_DIR ${CMAKE_CURRENT_BINARY_DIR}/external_includes/rmm/include )
include_directories ( ${RMM_INCLUDE_DIR} )

add_library ( RMM_wrap rmm_wrap.cpp rmm_wrap.hpp rmm_wrap.h )

set_target_properties ( RMM_wrap PROPERTIES
    VERSION ${GraphBLAS_VERSION_MAJOR}.${GraphBLAS_VERSION_MINOR}.${GraphBLAS_VERSION_SUB}
    OUTPUT_NAME rmm_wrap
    SOVERSION ${GraphBLAS_VERSION_MAJOR}
    PUBLIC_HEADER "rmm_wrap.h"
    WINDOWS_EXPORT_ALL_SYMBOLS ON )

add_executable ( rmm_wrap_test rmm_wrap_test.c rmm_wrap.cpp rmm_wrap.hpp rmm_wrap.h )

set ( RMM_WRAP_LIBS ${EXTRA_LIBS} CUDA::cudart_static )
set ( RMM_WRAP_INCLUDES ${PROJECT_BINARY_DIR}
    ${SPDLOG_INCLUDE_DIR}
    ${RMM_INCLUDE_DIR}
    ${CUDA_INCLUDE_DIRS}
    ${CONDA_PREFIX}/include
    ${PROJECT_SOURCE_DIR}/include )

target_link_libraries ( RMM_wrap PRIVATE ${RMM_WRAP_LIBS} )
target_include_directories ( RMM_wrap PRIVATE "${RMM_WRAP_INCLUDES}" )

target_link_libraries ( rmm_wrap_test PUBLIC ${RMM_WRAP_LIBS} )
target_include_directories ( rmm_wrap_test PUBLIC "${RMM_WRAP_INCLUDES}" )

#-------------------------------------------------------------------------------
# installation location
#-------------------------------------------------------------------------------

install ( TARGETS RMM_wrap
    EXPORT GraphBLASTargets
    LIBRARY DESTINATION ${SUITESPARSE_LIBDIR}
    ARCHIVE DESTINATION ${SUITESPARSE_LIBDIR}
    RUNTIME DESTINATION ${SUITESPARSE_BINDIR}
    PUBLIC_HEADER DESTINATION ${SUITESPARSE_INCLUDEDIR} )

=== debian/changelog ===
suitesparse (1:7.12.2+dfsg-1) unstable; urgency=medium

  * New upstream version 7.12.2+dfsg
  * d/copyright: reflect upstream changes
  * Drop “Priority: optional”, which is now the default
  * Bump Standards-Version to 4.7.3

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 18 Feb 2026 21:51:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>
 Section: math
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake
 Build-Depends-Arch: pkgconf,
@@ -21,7 +20,7 @@
                      texlive-science,
                      texlive-xetex,
                      python3-pygments
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/science-team/suitesparse
 Vcs-Git: https://salsa.debian.org/science-team/suitesparse.git
 Homepage: http://suitesparse.com
